Subject: bug#18425: test for new glibc regex bug

From: Paul Eggert <[email-masked]>
Date: Wed, 10 Sep 2014 20:40:16 -0700

Jim Meyering wrote:
> what about configure's --without-included-regex option?
> With it, the test may well pass (counted as a failure, here) on
> systems without glibc.

Grep uses the glibc interface for regular expressions, and I expect that 
every current implementation of that interface has the bug, so this 
shouldn't be an issue now (though it would be an issue if the bug is 
ever fixed).

Or were you thinking of glibc 2.2.6 and earlier?  That might not have 
the bug, as it predates the circa-2002 regex rewrite that introduced the 
bug.  I suspect, though, that 2.2.6 regex would fail several other 
tests.  Are glibc versions this old still being used?

(Do users really complain when XFAIL tests succeed instead of failing as 
predicted?  Dumb question, I know; they'll complain about anything....)